import React from 'react';

export default function BikeIcon({width, height, fill = 'white'}) {
    return (
        <svg width={width} height={height} viewBox="0 0 20 17" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M13.3398 3.45192C12.9071 3.45192 12.542 3.30315 12.2444 3.0056C11.9469 2.70806 11.7981 2.34295 11.7981 1.91027C11.7981 1.47758 11.9469 1.11246 12.2444 0.814916C12.542 0.517389 12.9071 0.368625 13.3398 0.368625C13.7725 0.368625 14.1376 0.517389 14.4351 0.814916C14.7327 1.11246 14.8814 1.47758 14.8814 1.91027C14.8814 2.34295 14.7327 2.70806 14.4351 3.0056C14.1376 3.30315 13.7725 3.45192 13.3398 3.45192ZM8.57214 7.76442L10.7917 9.98398V14.375H9.70839V10.4407L6.78371 7.70031C6.67153 7.61591 6.57644 7.50505 6.49846 7.36773C6.42046 7.23041 6.38146 7.08699 6.38146 6.93746C6.38146 6.74625 6.41698 6.55717 6.48804 6.37021C6.55908 6.18324 6.65764 6.02671 6.78371 5.90065L9.33179 3.35258C9.45785 3.2404 9.6018 3.15226 9.76366 3.08815C9.92553 3.02405 10.0877 2.992 10.25 2.992C10.468 2.992 10.6787 3.04835 10.8822 3.16106C11.0858 3.27378 11.2575 3.41401 11.3975 3.58175L12.9183 5.22758C13.3296 5.66668 13.8056 6.0139 14.3462 6.26925C14.8868 6.52458 15.4519 6.6656 16.0417 6.69231V7.79165C15.2778 7.76494 14.546 7.60335 13.8462 7.30687C13.1464 7.0104 12.5513 6.56142 12.061 5.95992L11.2917 5.04485L8.57214 7.76442ZM4.41031 9.25644C5.44877 9.25644 6.33231 9.62075 7.06094 10.3494C7.78956 11.078 8.15387 11.9615 8.15387 13C8.15387 14.0385 7.78956 14.922 7.06094 15.6506C6.33231 16.3793 5.44877 16.7436 4.41031 16.7436C3.37185 16.7436 2.48831 16.3793 1.75969 15.6506C1.03106 14.922 0.666748 14.0385 0.666748 13C0.666748 11.9615 1.03105 11.078 1.75966 10.3494C2.4883 9.62075 3.37185 9.25644 4.41031 9.25644ZM4.41031 15.5C5.11544 15.5 5.70839 15.2596 6.18916 14.7789C6.66993 14.2981 6.91031 13.7051 6.91031 13C6.91031 12.2949 6.66993 11.7019 6.18916 11.2211C5.70839 10.7404 5.11544 10.5 4.41031 10.5C3.70519 10.5 3.11223 10.7404 2.63146 11.2211C2.15069 11.7019 1.91031 12.2949 1.91031 13C1.91031 13.7051 2.15069 14.2981 2.63146 14.7789C3.11223 15.2596 3.70519 15.5 4.41031 15.5ZM16.0898 9.25644C17.1282 9.25644 18.0118 9.62075 18.7404 10.3494C19.469 11.078 19.8334 11.9615 19.8334 13C19.8334 14.0385 19.469 14.922 18.7404 15.6506C18.0118 16.3793 17.1282 16.7436 16.0898 16.7436C15.0513 16.7436 14.1678 16.3793 13.4391 15.6506C12.7105 14.922 12.3462 14.0385 12.3462 13C12.3462 11.9615 12.7105 11.078 13.4391 10.3494C14.1678 9.62075 15.0513 9.25644 16.0898 9.25644ZM16.0898 15.5C16.7949 15.5 17.3878 15.2596 17.8686 14.7789C18.3494 14.2981 18.5898 13.7051 18.5898 13C18.5898 12.2949 18.3494 11.7019 17.8686 11.2211C17.3878 10.7404 16.7949 10.5 16.0898 10.5C15.3846 10.5 14.7917 10.7404 14.3109 11.2211C13.8302 11.7019 13.5898 12.2949 13.5898 13C13.5898 13.7051 13.8302 14.2981 14.3109 14.7789C14.7917 15.2596 15.3846 15.5 16.0898 15.5Z" fill={fill}/>
        </svg>
    );
}
